Bug 127448 - remove/modify Obsoletes: imap
Summary: remove/modify Obsoletes: imap
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: cyrus-imapd
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: John Dennis
QA Contact: Brian Brock
URL:
Whiteboard:
: 123989 (view as bug list)
Depends On:
Blocks: FC3Target
TreeView+ depends on / blocked
 
Reported: 2004-07-08 12:41 UTC by Rex Dieter
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-08-06 19:00:13 UTC


Attachments (Terms of Use)

Description Rex Dieter 2004-07-08 12:41:27 UTC
I'd like to be able to either package/deploy uw-imap locally, or
potentially submit it to Fedora Extras, but cyrys-imapd's specfile
currently contains
Obsoletes: imap

which makes yum/apt try to replace uw-imap with cyrus-imapd all the time.

Please either remove the Obsoletes, or *at least* use a versioned
Obsoletes like:
Obsoletes: imap <= 2002
so that it won't affect newer imap versions.

Comment 1 Rex Dieter 2004-07-08 19:01:07 UTC
FYI, Fedora Extras imap submission: 
http://bugzilla.fedora.us/show_bug.cgi?id=1838 

Comment 2 Bill Nottingham 2004-08-05 19:32:29 UTC
Moreover, if you're looking for a 1-1 relationship, dovecot is more
appropriate for the obsolete.

Comment 3 John Dennis 2004-08-06 19:00:13 UTC
fixed as of cyrus-imapd-2.2.6-2.FC3.5, removed obsoletes tag

Comment 4 John Dennis 2004-08-30 17:49:24 UTC
*** Bug 123989 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.